summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:47 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:47 +0200
commitf644b1ad3f26640a1fd20dbf86ebcc6983fb5dff (patch)
treefc05748eeea964268012272d08a83c303aaea2eb /audio
parent9e43397963903cddfc65d8db7ffda846385149b2 (diff)
downloadslackbuilds-f644b1ad3f26640a1fd20dbf86ebcc6983fb5dff.tar.gz
slackbuilds-f644b1ad3f26640a1fd20dbf86ebcc6983fb5dff.tar.xz
audio/gtkpod: Moved from multimedia
Diffstat (limited to 'audio')
-rw-r--r--audio/gtkpod/README10
-rw-r--r--audio/gtkpod/gtkpod.SlackBuild80
-rw-r--r--audio/gtkpod/gtkpod.desktop11
-rw-r--r--audio/gtkpod/gtkpod.info8
-rw-r--r--audio/gtkpod/slack-desc12
5 files changed, 121 insertions, 0 deletions
diff --git a/audio/gtkpod/README b/audio/gtkpod/README
new file mode 100644
index 0000000000..4dd127fe0c
--- /dev/null
+++ b/audio/gtkpod/README
@@ -0,0 +1,10 @@
+gtkpod is a platform independent Graphical User Interface for Apple's
+iPod using GTK2. It supports the first to fifth Generation including
+the iPod mini, iPod Photo, iPod Shuffle, iPod nano, and iPod Video.
+
+Requires libgnomecanvas available at SlackBuilds.org.
+
+If you would like to add an AAC support to gtkpod, you will have to install
+libmp4v2 library, which can be obtained at SlackBuilds.org as well.
+
+Make sure to install libmp4v2 prior to running gtkpod configure.
diff --git a/audio/gtkpod/gtkpod.SlackBuild b/audio/gtkpod/gtkpod.SlackBuild
new file mode 100644
index 0000000000..81abea6b2b
--- /dev/null
+++ b/audio/gtkpod/gtkpod.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for gtkpod
+# Written by Alex Lysenka <me@alkos333.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+set -e
+
+PRGNAM=gtkpod
+VERSION=0.99.12
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING ChangeLog INSTALL NEWS README TODOandBUGS.txt TROUBLESHOOTING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+# desktop icon.
+mkdir -p $PKG/usr/share/applications
+install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/gtkpod/gtkpod.desktop b/audio/gtkpod/gtkpod.desktop
new file mode 100644
index 0000000000..eeedecc9dd
--- /dev/null
+++ b/audio/gtkpod/gtkpod.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Type=Application
+Terminal=false
+Name=gtkpod
+Comment=Manage songs on your Apple iPod
+Comment[de]=Verwalte Musik auf deinem Apple iPod
+Exec=gtkpod
+Icon=/usr/share/gtkpod/pixmaps/gtkpod-icon-32x32.png
+Categories=AudioVideo;
diff --git a/audio/gtkpod/gtkpod.info b/audio/gtkpod/gtkpod.info
new file mode 100644
index 0000000000..4c4fea3694
--- /dev/null
+++ b/audio/gtkpod/gtkpod.info
@@ -0,0 +1,8 @@
+PRGNAM="gtkpod"
+VERSION="0.99.12"
+HOMEPAGE="http://www.gtkpod.org"
+DOWNLOAD="http://dl.sourceforge.net/gtkpod/gtkpod-0.99.12.tar.gz"
+MD5SUM="13162a7e9912028922aafcf81d908394"
+MAINTAINER="Alex Lysenka"
+EMAIL="me@alkos333.net"
+APPROVED="BP{k}"
diff --git a/audio/gtkpod/slack-desc b/audio/gtkpod/slack-desc
new file mode 100644
index 0000000000..6b88fbdabe
--- /dev/null
+++ b/audio/gtkpod/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+gtkpod:
+gtkpod: gtkpod is a platform independent Graphical User Interface for
+gtkpod: Apple's iPod using GTK2. It supports the first to fifth
+gtkpod: Generation including the iPod mini, iPod Photo, iPod Shuffle,
+gtkpod: iPod nano, and iPod Video.
+gtkpod:
+gtkpod:
+gtkpod:
+gtkpod:
+gtkpod: Homepage: http://www.gtkpod.org
+gtkpod: